Page MenuHomePhabricator

[ClangFormat] ObjCSpaceBeforeProtocolList should be true in the google style
ClosedPublic

Authored by benhamilton on Dec 11 2017, 10:15 AM.

Details

Summary

The Google style guide is neutral on whether there should be a
space before the protocol list in an Objective-C @interface or
@implementation.

The majority of Objective-C code in both Apple's public
header files and Google's open-source uses a space before
the protocol list, so this changes the google style to
default ObjCSpaceBeforeProtocolList to true.

Test Plan: make -j12 FormatTests && ./tools/clang/unittests/Format/FormatTests

Diff Detail

Repository
rC Clang

Event Timeline

benhamilton created this revision.Dec 11 2017, 10:15 AM
djasper edited reviewers, added: thakis; removed: djasper, klimek.Dec 11 2017, 10:20 AM
benhamilton edited reviewers, added: krasimir, djasper, klimek; removed: thakis.Dec 13 2017, 12:54 PM

Any way we can get an accept on this one?

krasimir accepted this revision.Jan 18 2018, 7:14 AM
This revision is now accepted and ready to land.Jan 18 2018, 7:14 AM
This revision was automatically updated to reflect the committed changes.